// Copyright 2022-2025 Theai, Inc. dba Inworld AI

#pragma once

#include "Modules/ModuleManager.h"

INWORLDLIPSYNC_API DECLARE_LOG_CATEGORY_EXTERN(LogInworldLipsync, Log, All);

class FInworldLipsyncModule : public IModuleInterface
{
public:

	/** IModuleInterface implementation */
	virtual void StartupModule() override;
	virtual void ShutdownModule() override;

private:
	/** Handle to the test dll we will load */
	void* PocketSphinxDllHandle = nullptr;
};
